Bug 1470084 - spyder3 does not work without installing python3-PyQt4-webkit
spyder3 does not work without installing python3-PyQt4-webkit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spyder (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 07:38 EDT by José Matos
Modified: 2017-09-30 02:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: spyder-3.2.2-1.fc26 spyder-3.2.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-20 18:53:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description José Matos 2017-07-12 07:38:11 EDT
Description of problem:

I have installed spyder3 and when I started I got:

$ spyder3 
Traceback (most recent call last):
  File "/usr/bin/spyder3", line 3, in <module>
    start.main()
  File "/usr/lib/python3.6/site-packages/spyder/app/start.py", line 103, in main
    from spyder.app import mainwindow
  File "/usr/lib/python3.6/site-packages/spyder/app/mainwindow.py", line 92, in <module>
    from qtpy import QtWebEngineWidgets  # analysis:ignore
  File "/usr/lib/python3.6/site-packages/qtpy/QtWebEngineWidgets.py", line 31, in <module>
    from PyQt4.QtWebKit import QWebPage as QWebEnginePage
ModuleNotFoundError: No module named 'PyQt4.QtWebKit'


Version-Release number of selected component (if applicable):
3.1.4-2.fc26

Using that information I had to install python3-PyQt4-webkit.

That was enough for spyder3 to start.
Comment 1 Fedora Update System 2017-08-31 22:17:51 EDT
python-QtPy-1.3.1-1.fc26 spyder-3.2.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 2 Fedora Update System 2017-08-31 22:18:09 EDT
python-QtPy-1.3.1-1.fc27 spyder-3.2.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 3 Fedora Update System 2017-09-02 18:38:00 EDT
python-QtPy-1.3.1-1.fc27 spyder-3.2.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 4 Fedora Update System 2017-09-03 01:22:59 EDT
python-QtPy-1.3.1-1.fc26, spyder-3.2.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 5 Fedora Update System 2017-09-03 15:53:14 EDT
python-QtPy-1.3.1-1.fc27, spyder-3.2.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 6 Fedora Update System 2017-09-10 21:59:08 EDT
python-QtPy-1.3.1-1.fc27 spyder-3.2.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 7 Fedora Update System 2017-09-10 22:00:33 EDT
python-QtPy-1.3.1-1.fc26 spyder-3.2.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 8 Fedora Update System 2017-09-11 17:54:51 EDT
python-QtPy-1.3.1-1.fc27, spyder-3.2.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 9 Fedora Update System 2017-09-11 21:22:16 EDT
python-QtPy-1.3.1-1.fc26, spyder-3.2.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 10 Fedora Update System 2017-09-20 18:53:02 EDT
python-QtPy-1.3.1-1.fc26, spyder-3.2.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-09-30 02:10:43 EDT
python-QtPy-1.3.1-1.fc27, spyder-3.2.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.